package cn.com.tenlion.materialstore.pojo.pos.materialphoto;

/**
 *
 * @ClassName: MaterialPhotoPO
 * @Description: 图片素材
 * @Author: CodeFactory
 * @Date: 2021-05-28 11:04:34
 * @Version: 3.0
 **/
public class MaterialPhotoPO {

    private String materialPhotoId;
    private String materialPhotoFileId;
    private String materialId;
    private Integer materialOrder;
    private String materialRemark;
    private String creator;
    private String gmtCreate;
    private String modifier;
    private String gmtModified;
    private Integer isDelete;

    public String getMaterialPhotoId() {
        return materialPhotoId == null ? "" : materialPhotoId.trim();
    }

    public void setMaterialPhotoId(String materialPhotoId) {
        this.materialPhotoId = materialPhotoId;
    }

    public String getMaterialPhotoFileId() {
        return materialPhotoFileId == null ? "" : materialPhotoFileId.trim();
    }

    public void setMaterialPhotoFileId(String materialPhotoFileId) {
        this.materialPhotoFileId = materialPhotoFileId;
    }

    public String getMaterialId() {
        return materialId == null ? "" : materialId.trim();
    }

    public void setMaterialId(String materialId) {
        this.materialId = materialId;
    }

    public Integer getMaterialOrder() {
        return materialOrder == null ? 0 : materialOrder;
    }

    public void setMaterialOrder(Integer materialOrder) {
        this.materialOrder = materialOrder;
    }

    public String getMaterialRemark() {
        return materialRemark == null ? "" : materialRemark.trim();
    }

    public void setMaterialRemark(String materialRemark) {
        this.materialRemark = materialRemark;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
